<?php
session_start();
include "verifica.php";

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xtipo=$_REQUEST['xtipo'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$tipmov = new Tiposmovimiento;

switch($xaccion){
	
	case "adicionar": 
		if($tipmov->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Tipo de movimiento de almacén creado satisfactoriamente.")
			parent.location.href="../tiposmovimiento.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($tipmov->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Tipo de movimiento de almacén modificado satisfactoriamente.")
			parent.location.href="../tiposmovimiento.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($tipmov->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Tipo de movimiento de almacén eliminado satisfactoriamente.")
			parent.location.href="../tiposmovimiento.php";
			</script>			
			<?php
			
		}		
		break;

	case "activar":
		if($tipmov->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class Tiposmovimiento{

	//Adiciona nueva familia
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xtipo, $xusuario_sesion;		

		$r = mysqli_query($conexion,"insert into operacion_tipo (opetip_nombre, 
												  opetip_abreviatura,
												  opetip_tipo,
												  opetip_usu_crea)
										values ('$xnombres', 
												'$xabreviatura',
												'$xtipo',
												'$xusuario_sesion');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica una familia
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid, $xtipo, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update operacion_tipo set opetip_nombre = '$xnombres', 
												  opetip_abreviatura = '$xabreviatura',
												  opetip_tipo = '$xtipo',
												  opetip_usu_modifica = '$xusuario_sesion'
										where opetip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina una familia
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from operacion_tipo where opetip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa una familia
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update operacion_tipo set opetip_estado = '$xestado',
															   opetip_usu_activa = '$xusuario_sesion'	 
															where opetip_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
